### Enumeration

# Vips TextWrap

#### Declaration

    enum Vips.TextWrap

#### Description [src]

Sets the word wrapping style for `vips_text()` when used with a maximum width.

See also

`vips_text()`.

#### Members

`VIPS_TEXT_WRAP_WORD`

  Wrap at word boundaries.

  - Value: `0`
  - Available since: 8.0
`VIPS_TEXT_WRAP_CHAR`

  Wrap at character boundaries.

  - Value: `1`
  - Available since: 8.0
`VIPS_TEXT_WRAP_WORD_CHAR`

  Wrap at word boundaries, but fall back to character boundaries if there is not enough space for a full word.

  - Value: `2`
  - Available since: 8.0
`VIPS_TEXT_WRAP_NONE`

  No wrapping.

  - Value: `3`
  - Available since: 8.0